---
apiVersion: ingress.operator.openshift.io/v1
kind: DNSRecord
metadata:
  creationTimestamp: "2020-05-26T14:23:45Z"
  finalizers:
  - operator.openshift.io/ingress-dns
  generation: 1
  labels:
    ingresscontroller.operator.openshift.io/owning-ingresscontroller: default
  managedFields:
  - apiVersion: ingress.operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"operator.openshift.io/ingress-dns": {}
        f:labels:
          .: {}
          f:ingresscontroller.operator.openshift.io/owning-ingresscontroller: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"75418dde-4561-4c56-8a93-a31ebde963ed"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        .: {}
        f:dnsName: {}
        f:recordTTL: {}
        f:recordType: {}
        f:targets: {}
      f:status:
        .: {}
        f:zones: {}
    manager: ingress-operator
    operation: Update
    time: "2020-05-26T14:33:39Z"
  name: default-wildcard
  namespace: openshift-ingress-operator
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: IngressController
    name: default
    uid: 75418dde-4561-4c56-8a93-a31ebde963ed
  resourceVersion: "20166"
  selfLink: /apis/ingress.operator.openshift.io/v1/namespaces/openshift-ingress-operator/dnsrecords/default-wildcard
  uid: 0eda04bf-bfcd-4351-b2ac-b4a1181ab9b3
spec:
  dnsName: '*.apps.test-sinny-asset1.devcluster.openshift.com.'
  recordTTL: 30
  recordType: CNAME
  targets:
  - a4740f3be6566484ea19d3ae26072bd0-1000151552.us-east-1.elb.amazonaws.com
status:
  zones:
  - conditions:
    - lastTransitionTime: "2020-05-26T14:33:39Z"
      message: The DNS provider succeeded in ensuring the record
      reason: ProviderSuccess
      status: "False"
      type: Failed
    dnsZone:
      tags:
        Name: test-sinny-asset1-bp8lj-int
        kubernetes.io/cluster/test-sinny-asset1-bp8lj: owned
  - conditions:
    - lastTransitionTime: "2020-05-26T14:33:39Z"
      message: The DNS provider succeeded in ensuring the record
      reason: ProviderSuccess
      status: "False"
      type: Failed
    dnsZone:
      id: Z3URY6TWQ91KVV
